@import '@/styles/mixins';

.name {
  position: relative;
  text-align: left;

  .link {
    min-height: 50px;
    padding: 0 10px 0 100px;
    text-align: left;
    border-radius: 10px;

    .cover {
      position: absolute;
      top: 6px;
      left: 24px;

      max-width: 70px;
      height: 50px;

      object-fit: cover;
      border-radius: 3px;
    }

    > h3 {
      word-break: break-word;
    }

    &:hover h3 {
      color: var(--color-accent-100);
      text-decoration: underline;
    }

    &:active h3 {
      color: var(--color-accent-500);
    }
  }
}

@media (width >= 950px) {
  .date {
    width: 180px;
  }

  .createdBy {
    overflow: hidden;
    width: 200px;
    max-width: 200px;
    text-overflow: ellipsis;
  }
}

.root {
  transition: 0.3s;

  &:hover,
  &:focus-within {
    background-color: var(--color-dark-800);
  }

  .count {
    width: 150px;
  }

  .cell {
    width: 127px;

    .controls {
      @include flex(row, 0, 12px, center, center);

      @media (width <= 630px) {
        @include flex(column, 12px, 0, center, center);
      }
    }

    @media (width <= 544px) {
      width: 64px;
    }
  }
}
